## List model access policies

### cURL

```
curl --request GET \
  --url https://app.barndoor.ai/api/llm-gateway/admin/model-access \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://app.barndoor.ai/api/llm-gateway/admin/model-access"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-access', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-access",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/admin/model-access"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest

```
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/model-access")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-access")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Example

```json
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "targets": [
      {
        "kind": "model_alias",
        "alias": "gpt-4o-mini"
      }
    ],
    "enabled": true,
    "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scope_value": "<string>"
  }
]
```

### Authorizations

**Authorization**: string, required in header, JWT obtained through Barndoor's authentication flow. Pass the token verbatim in `Authorization: Bearer <token>`. Use the Barndoor SDK's `loginInteractive()` helper to obtain a token in scripts and notebooks.

### Response
- **200** - application/json: List of model access policies

### Response Items
- **id**: string<uuid>, required
- **org_id**: string<uuid>, required
- **name**: string, required
- **scope_type**: enum<string>, required, available options:
  - `org`
  - `team`
  - `user`
  - `project`
  - `api_key`
  - `mcp_server`
  - `agent`
  - `role`
  - `group`
- **policy_type**: enum<string>, required, available options:
  - `allowlist`
  - `denylist`
- **targets**: object[], required
- **traffic_type**: enum<string>, required, available options:
  - `llm`
  - `all`
- **enabled**: boolean, required
- **scope_id**: string<uuid> | null
- **scope_value**: string | null
